summaryrefslogtreecommitdiffstats
path: root/fpga/xilinx/programmer/program_device.sh
diff options
context:
space:
mode:
Diffstat (limited to 'fpga/xilinx/programmer/program_device.sh')
-rwxr-xr-xfpga/xilinx/programmer/program_device.sh16
1 files changed, 16 insertions, 0 deletions
diff --git a/fpga/xilinx/programmer/program_device.sh b/fpga/xilinx/programmer/program_device.sh
new file mode 100755
index 0000000..364330f
--- /dev/null
+++ b/fpga/xilinx/programmer/program_device.sh
@@ -0,0 +1,16 @@
+#!/bin/bash
+
+# (c) 2012 Timothy Pearson <kb9vqf@pearsoncomputing.net>
+# Licensed under the GPL v2
+
+if [[ $1 == "" ]]; then
+ echo "Usage: ./program_device.sh bitfile.bit"
+ exit 1
+fi
+
+UNIQUEID=$(date "+%s%N")
+DEVICETYPE=$(bitdevice $1)
+SVFFILE=/tmp/${UNIQUEID}.svf
+bit2svf $1 $SVFFILE $DEVICETYPE
+xsvf-rpi -v -s $SVFFILE
+rm $SVFFILE